var Handler = require('../../handler/handler');
var moment = require('moment');
var Endpoint = require('../constants').Endpoint;

var ApplicationHandler = function () {
  this.startupDate = moment().format('YYYY-MM-DDTHH:mm:ss.SSSZZ');
}

ApplicationHandler.prototype = new Handler();

/**
 * @param datapoint Datapoint
 */
ApplicationHandler.prototype.handle = function (datapoint) {
  datapoint.endpoint[Endpoint.APPLICATION] = bitSensor.config.applicationName;
  datapoint.endpoint[Endpoint.START_DATE] = this.startupDate;
};

module.exports = ApplicationHandler;