require('./core/init');
const proto = require('./core/compiled').proto;
const BitSensor = require('./core/bitsensor');

module.exports = {
  config: BitSensor.prototype.config.bind(bitSensor),
  getDatapoint: BitSensor.prototype.getDatapoint.bind(bitSensor),
  Constants: require('./core/constants'),

  Datapoint: proto.Datapoint,
  DatapointReceiver: proto.DatapointReceiver,
  Reply: proto.Reply,
  Error: proto.Error,
  GeneratedBy: proto.GeneratedBy,
  Detection: proto.Detection,
  Invocation: proto.Invocation,

  VERSION: require('./package.json').version
};