var expect = require('chai').expect;
var TimeHandler = require('../core/handler/time_handler');
var moment = require('moment');
var Endpoint = require('../index').Constants.Endpoint;
var Datapoint = require('../index').Datapoint;

describe("Time handler", function () {
  it("should have equal time", function () {
    var datapoint = new Datapoint();
    new TimeHandler().handle(datapoint);
    expect(moment(datapoint.endpoint[Endpoint.LOCALTIME]).isValid()).to.be.true;
  });
});
